<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><%= t('.admin_panel') %></title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag 'https://fonts.googleapis.com/css?family=PT+Serif:400,700|Roboto:400,700' %>
    <%= stylesheet_link_tag 'admin', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= stylesheet_pack_tag 'application' %>
    <%= javascript_include_tag 'admin', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application' %>

    <%= render 'shared/analytics' if Rails.env.production? %>
  </head>

  <body>
    <% if current_user %>
      <header>
        <nav class="navbar is-white has-shadow">
          <div class="navbar-brand">
            <%= link_to image_tag('logo.svg', alt: t('.admin_panel')),
                  admin_root_url,
                  class: 'navbar-item' %>
            <div class="navbar-burger">
              <span></span>
              <span></span>
              <span></span>
            </div>
          </div>

          <div class="navbar-menu">
            <div class="navbar-start">
              <%= link_to t('.posts'),
                    admin_posts_path,
                    class: 'navbar-item' %>

              <% if current_user.admin? %>
                <%= link_to t('.users'),
                      admin_users_path,
                      class: 'navbar-item' %>
                <%= link_to t('.invites'),
                      admin_invites_path,
                      class: 'navbar-item' %>
              <% end %>
            </div>

            <div class="navbar-end">
              <div class="navbar-item">
                <div class="field is-grouped">
                  <div class="control">
                    <%= link_to t('.profile'),
                          edit_admin_user_path(current_user.id),
                          class: 'button is-primary' %>
                  </div>
                  <div class="control">
                    <%= link_to t('.logout'),
                          logout_path,
                          method: :post,
                          class: 'button' %>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </nav>
      </header>
    <% end %>

    <main>
      <%= render 'shared/notice' if notice %>
      <%= render 'shared/alert' if alert %>
      <%= yield :errors %>

      <%= yield %>
    </main>
  </body>
</html>
